Summary:        An open source data binding framework for Java
Name:           castor
Version:        1.3.2
Release:        %mkrel 3
Epoch:          1
Group:          Development/Java
License:        BSD and MPLv1.1 and W3C
URL:            http://castor.codehaus.org
Source0:        http://dist.codehaus.org/castor/1.3.2/castor-1.3.2-src.tgz
Patch0:         disable-modules.patch
BuildArch:      noarch
BuildRequires:  maven
BuildRequires:  codehaus-parent
BuildRequires:  maven-enforcer-plugin
Requires:       apache-commons-logging
Requires:       apache-commons-lang
Obsoletes:      castor-demo < 1:1.3.2
Obsoletes:      castor-test < 1:1.3.2
Obsoletes:      castor-xml < 1:1.3.2
Obsoletes:      castor-doc < 1:1.3.2

%description
Castor is an open source data binding framework for Java. It's basically
the shortest path between Java objects, XML documents and SQL tables.
Castor provides Java to XML binding, Java to SQL persistence, and more.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
%patch0 -b .sav

sed -i 's/Class-Path: xerces.jar jdbc-se2.0.jar jndi.jar jta1.0.1.jar//' src/etc/MANIFEST.MF

%build
mvn-rpmbuild -Dgpg.skip=true -Dmaven.test.skip=true install javadoc:aggregate

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 core/target/%{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Sep 09 2012 dmorgan <dmorgan> 1:1.3.2-3.mga3
+ Revision: 291021
- Use fedora spec file layout

* Sat Mar 03 2012 dmorgan <dmorgan> 1:1.3.2-1.mga2
+ Revision: 217070
- Remove ant build support, and only use the maven one

  + gil <gil>
    - update to 1.3.2

* Sun Dec 18 2011 dmorgan <dmorgan> 1:1.3.1-4.mga2
+ Revision: 184072
- Disable copy of Source1, this create pbs in install

* Sat Dec 03 2011 gil <gil> 1:1.3.1-3.mga2
+ Revision: 175644
- changed Requires log4j in liblog4j-java
- build fix
- build fixed
  enable maven cpatests profile
  rebuilt with mockejb 0.6-0.b2.2 support
- fix ldapjdk version/release

  + dmorgan <dmorgan>
    - Fix install of examples
    - Remove gcj support
    - Re enable maven build support
    - Re enable maven build support

* Sun Nov 27 2011 dmorgan <dmorgan> 1:1.3.1-2.mga2
+ Revision: 172814
- Disable maven , needed for maven-plugin-castor dep build loop
- Enable maven build support
- Adapt to mageia guidelines

  + gil <gil>
    - added castor-1.3.1-script
    - update to 1.3.1
    - update to 1.1.2.1
    - update to 0.9.6
    - update to 0.9.6

* Sat Jan 22 2011 dmorgan <dmorgan> 1:0.9.5-1.mga1
+ Revision: 31612
- Remove ending point in summary
- Downgrade to version 0.9.5 and fix build
- Remove wrong buildrequire
- Add  geronimo-jta as buildrequire
- Add java-rpmbuild as Buildrequire
- imported package castor


* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-3mdv2008.0
+ Revision: 87266
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:1.0.5-2mdv2008.0
+ Revision: 82837
- update to new version


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 98055
- 1.0.5
- Import castor

* Sun Jun 18 2006 David Walluck <walluck@mandriva.org> 0.9.5-1.3mdv2007.0
- fix build classpath

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0.9.5-1.3mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:0.9.5-1.2mdk
- export OPT_JAR_LIST

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.9.5-1.1mdk
- release

* Fri Jun 17 2005 Gary Benson <gbenson@redhat.com> 0:0.9.5-1jpp_1fc
- Build into Fedora.

* Sat Jun 11 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles and classfiles from the tarball.

* Fri Jun 03 2005 Gary Benson <gbenson@redhat.com>
- Fix up (alleged) invalid characters in the documentation.

* Sat Jul 24 2004 Fernando Nasser <fnasser@redhat.com> 0:0.9.5-1jpp_3rh
- use servletapi5 instead of servletapi4

* Thu Mar 11 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.5-1jpp_2rh
- try servletapi4 instead of servletapi3
- add example-servletapi4.patch.bz2

* Thu Mar 04 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.5-1jpp_1rh
- RH vacuuming

